# Class ObjectFactory.MonitorParser

java.lang.Object
org.apache.jmeter.monitor.parser.ParserImpl
org.apache.jmeter.monitor.model.ObjectFactory.MonitorParser

All Implemented Interfaces:
  `Parser`

Enclosing class:
  `ObjectFactory`

protected static class ObjectFactory.MonitorParser extends ParserImpl

## Constructor Summary

Constructors
Constructor
Description
`MonitorParser(ObjectFactory factory)`

## Method Summary

### Methods inherited from class ParserImpl

`parseBytes, parseSampleResult, parseString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MonitorParser

public MonitorParser(ObjectFactory factory)